Subject: Re: sys/uio.h no found gnuwin32
From: [email-masked] (Heinz Hemken)

6 Nov 1996 19:18:00 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hans Zuidam wrote:
> > Joe Marzot wrote:
> > not sure what the lineage of this header is but I find it available on
> > linux and SunOS but can't find it in the gnuwin32 stuff.
> The <sys/uio.h> is used for scattter/gather I/O and for user-land
> to kernel-land data movement in UNIX kernels...

This is part of the more general and equally annoying problem you face
when you pick up a gcc binary and drop it into, say, a Solaris 2.5 box,
be it SPARC or Intel. You quickly find that Sun has cleverly moved
everything around, and a number of header files seem to be missing.
Since they're proprietary, it's unkosher to just lift them from a
machine whose owner sprung the US$5k for the Sun compiler.

What should you do in such a case? Who out there has a good solution to
this? I have to compile Perl 5.003_05 on a Solaris 2.5.1 x86 computer on
saturday, and the Perl Configure script bonks when it checks to see if
gcc works. It does so precisely because a sys/*.h file is missing.

-- 
Heinz Hemken
http://www.cell.cinvestav.mx/hh/bchh.html
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".